// Fragment shader
#version 400

uniform vec2 brickSize;
uniform vec2 brickPercent;


in float lightIntensity;
in vec2 MCPosition;

layout(location = 0) out vec4 fragColor;

void main()
{
	vec2 position = MCPosition/brickSize;

	//U kazde druhe cihly x-ovou pozici zvysime o 0.5
	//tj. o polovinu posuneme tuto cihlu
	if(fract(position.y * 0.5) > 0.5) position.x += 0.5;
	position= fract(position);

	vec2 useBrick= step(position, brickPercent);

	vec3 mortarColor= vec3(1.0, 1.0, 0.0);
	vec3 brickColor= vec3(1.0, 0.0, 0.0);

	vec3 color= mix(mortarColor, brickColor, useBrick.x * useBrick.y);
	color *= lightIntensity;
	
	fragColor= vec4(color, 1.0);
}